在ubuntu中,升级emacs到最新版本(非源码安装)

当使用低版本的ubuntu时,安装的emacs也是低版本的,如果想使用高版本的emacs,怎么办呢?
当然可以下载emacs的源码,编译安装,有没有更省事的办法吗?

可以使用下面的方法:

$sudo add-apt-repository ppa:ubuntu-elisp/ppa
$sudo apt update
$sudo apt install emacs-snapshot emacs-snapshot-el

$emacs-snapshot --version    #查看emacs版本

成功安装后,原来版本的emacs还是可以通过$ emacs使用;使用新安装的emacs:$ emacs-snapshot

c/c++ 学习互助QQ群:877684253 本人微信:xiaoshitou5854

posted @ 2020-05-06 10:47  小石王  阅读(...)  评论(...编辑  收藏